$:.unshift File.dirname(__FILE__)
require 'active_resource'
require 'active_support/core_ext/class/attribute_accessors'
require 'digest/md5'
require 'base64'
require 'active_resource/detailed_log_subscriber'
require 'duodealer_api/limits'
require 'duodealer_api/api_version'
require 'duodealer_api/meta'
require 'active_resource/json_errors'
require 'duodealer_api/paginated_collection'
require 'duodealer_api/disable_prefix_check'

module DuodealerAPI
  include Limits
end

require 'duodealer_api/events'
require 'duodealer_api/metafields'
require 'duodealer_api/countable'
require 'duodealer_api/resources'
require 'duodealer_api/session'
require 'duodealer_api/message_enricher'
require 'duodealer_api/connection'
require 'duodealer_api/pagination_link_headers'
require 'duodealer_api/graphql'
require 'duodealer_api/graphql/railtie' if defined?(Rails)

if DuodealerAPI::Base.respond_to?(:connection_class)
  DuodealerAPI::Base.connection_class = DuodealerAPI::Connection
else
  require 'active_resource/connection_ext'
end
