# frozen_string_literal: true
require 'rails/railtie'

module DuodealerAPI
  module GraphQL
    class Railtie < Rails::Railtie
      initializer 'duodealer_api.initialize_graphql_clients' do |app|
        DuodealerAPI::GraphQL.schema_location = app.root.join('db', DuodealerAPI::GraphQL.schema_location)
        DuodealerAPI::GraphQL.initialize_clients
      end

      rake_tasks do
        load 'duodealer_api/graphql/task.rake'
      end
    end
  end
end
